Provide evidence for a dispute
curl --request POST \
--url https://api.tabby.ai/api/v1/disputes/{disputeId}/provide-evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "I am providing a photo of the damaged product that was received",
"attachment_ids": [
"attachment id, uuid format"
]
}
'import requests
url = "https://api.tabby.ai/api/v1/disputes/{disputeId}/provide-evidence"
payload = {
"content": "I am providing a photo of the damaged product that was received",
"attachment_ids": ["attachment id, uuid format"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'I am providing a photo of the damaged product that was received',
attachment_ids: ['attachment id, uuid format']
})
};
fetch('https://api.tabby.ai/api/v1/disputes/{disputeId}/provide-evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "evidence id, uuid format",
"dispute_id": "dispute id, uuid format",
"content": "I am providing a photo of the damaged product that was received",
"created_by": "merchant",
"created_at": "2024-01-15T10:30:00Z",
"attachment_ids": [
"attachment id, uuid format"
]
}{
"status": "error",
"errorType": "bad_data",
"error": "bad_request"
}{
"status": "error",
"errorType": "not_authorized",
"error": "invalid secret key"
}{
"status": "error",
"errorType": "not_found",
"error": "dispute not found"
}{
"status": "error",
"errorType": "conflict",
"error": "payment is disputed"
}"Internal Server error"Disputes
Provide evidence for a dispute
Provide evidence (text and/or attachments) for a dispute. Used by the merchant to submit proof in response to an evidence request.
POST
/
api
/
v1
/
disputes
/
{disputeId}
/
provide-evidence
Provide evidence for a dispute
Authorizations
Bearer authentication header of the form Bearer <secret_key>, where <secret_key> is your secret_key.
Path Parameters
ID of the dispute.
Example:
"dispute id, uuid format"
Body
application/json
Response
Success. Evidence was submitted for the dispute.
Evidence ID.
Example:
"evidence id, uuid format"
Dispute ID.
Example:
"dispute id, uuid format"
Evidence content.
Example:
"I am providing a photo of the damaged product that was received"
Who created the evidence.
Example:
"merchant"
Creation timestamp in UTC, ISO 8601 datetime format.
Example:
"2024-01-15T10:30:00Z"
Array of attachment IDs.
Was this page helpful?
⌘I